# Generated by Django 2.1.5 on 2019-01-31 09:36

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [migrations.swappable_dependency(settings.AUTH_USER_MODEL)]

    operations = [
        migrations.CreateModel(
            name="Application",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("arrival", models.DateField(verbose_name="Anreise")),
                ("departure", models.DateField(verbose_name="Abreise")),
                (
                    "application_status",
                    models.IntegerField(
                        choices=[
                            (0, "🌥 Interesse"),
                            (1, "⛅️ Angemeldet"),
                            (2, "🌤 ZWRD-K beworben"),
                            (3, "☀️ Wachauftrag liegt vor"),
                        ],
                        default=0,
                    ),
                ),
                (
                    "role",
                    models.CharField(
                        choices=[
                            ("RS", "Rettungsschwimmer/in"),
                            ("WR", "Wasserretter/in"),
                            ("BF", "Bootsführer/in"),
                            ("WF", "Wachführer"),
                        ],
                        default="RS",
                        max_length=2,
                    ),
                ),
                (
                    "eh_ok",
                    models.BooleanField(
                        default=False,
                        help_text="Gültiger EH-Nachweis liegt vor",
                        verbose_name="EH",
                    ),
                ),
                (
                    "drsa_ok",
                    models.BooleanField(
                        default=False,
                        help_text="Gültiger DRSA-Nachweis liegt vor",
                        verbose_name="DRSA",
                    ),
                ),
                ("comment", models.TextField(blank=True, null=True)),
                ("created_on", models.DateTimeField(auto_now_add=True)),
                ("modified_on", models.DateTimeField(auto_now=True)),
            ],
            options={
                "verbose_name": "Anmeldung",
                "verbose_name_plural": "Anmeldungen",
                "ordering": ["episode", "-application_status", "user"],
            },
        ),
        migrations.CreateModel(
            name="ApplicationAttachment",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "application",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="attachments",
                        to="wrd.Application",
                    ),
                ),
            ],
            options={"verbose_name": "Anhang", "verbose_name_plural": "Anhänge"},
        ),
        migrations.CreateModel(
            name="DropboxFile",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("file_id", models.CharField(max_length=32)),
                ("content_hash", models.CharField(max_length=64)),
                ("name", models.CharField(max_length=250)),
                ("path_display", models.CharField(max_length=1000)),
                ("server_modified", models.DateTimeField()),
            ],
            options={
                "verbose_name": "Dropbox-Datei",
                "verbose_name_plural": "Dropbox-Dateien",
            },
        ),
        migrations.CreateModel(
            name="Episode",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("begin", models.DateField()),
                ("end", models.DateField()),
            ],
            options={
                "verbose_name": "Episode",
                "verbose_name_plural": "Episoden",
                "ordering": ["begin", "name"],
            },
        ),
        migrations.AddField(
            model_name="applicationattachment",
            name="dropbox_file",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="attachments",
                to="wrd.DropboxFile",
            ),
        ),
        migrations.AddField(
            model_name="application",
            name="episode",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="applications",
                to="wrd.Episode",
            ),
        ),
        migrations.AddField(
            model_name="application",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="applications",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
